{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-azure-egress
spec:
  egress:
  - toFQDNs:
    - matchName: atlantis.blob.core.windows.net
    - matchName: atlantisvault.vault.azure.net
    toPorts:
    - ports:
      - port: "443"
        protocol: TCP
  endpointSelector: {}

{{- end }}
